
QGIS Application - Bug report #9224

QGIS crashes when removing a relation

2013-12-17 08:29 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 17845

Description

When removing a relation in project properties, if the relation is not selected before clicking the proper button, then qgis crashes (tested on

master).

By the way: are relations working on master? I'm trying but at no avail, can someone test just to rule out that is a local issue? Thanks.

--------------

giovanni@sibirica ~ $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

self.iface.mainWindow = <PyQt4.QtGui.QMainWindow object at 0x41685f0>

undo index changed 1

undo index changed 2

undo index changed 3

undo index changed 4

undo index changed 5

undo index changed 6

undo index changed 7

undo index changed 1

undo index changed 1

undo index changed 1

undo index changed 0

undo index changed 0

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7f0f9e7e2700 (LWP 3969)]

[New Thread 0x7f0f9f65e700 (LWP 3968)]

[New Thread 0x7f0fa9879700 (LWP 3961)]

[New Thread 0x7f0fb5dba700 (LWP 3958)]

0x00007f0fddc30ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7f0fe4ec17c0 (LWP 3957))]

#0  0x00007f0fddc30ccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000004f1060 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007f0fe129bb7d in QgsRelationManagerDialog::on_mBtnRemoveRelation_clicked() () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.

#4  0x00007f0fe12bc91e in QgsRelationManagerDialog::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libqgis_gui.so.2.1.0

No symbol table info available.
#5  0x00007f0fe082b489 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#6  0x00007f0fe0229c72 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#7  0x00007f0fdff67a4e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x00007f0fdff68d8b in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#9  0x00007f0fdff68ffc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007f0fdfbea144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007f0fdfb99894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007f0fdfb9f0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007f0fe1785086 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#14 0x00007f0fe0816e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#15 0x00007f0fdfb9a862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007f0fdfc19bf5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007f0fdfc18bae in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007f0fdfc420d2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007f0fdc6d3d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#20 0x00007f0fdc6d4060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#21 0x00007f0fdc6d4124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#22 0x00007f0fe08463bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#23 0x00007f0fdfc41d5e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007f0fe0815c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#25 0x00007f0fe0815ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#26 0x00007f0fe0069936 in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#27 0x0000000000503437 in QgisApp::projectProperties() ()

No symbol table info available.

#28 0x00000000007f91ea in ?? ()

No symbol table info available.
#29 0x00007f0fe082b281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#30 0x00007f0fdfb93132 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#31 0x00007f0fdfb9331f in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#32 0x00007f0fdffe5119 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#33 0x00007f0fdffeb272 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#34 0x00007f0fdfbea144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#35 0x00007f0fdffec80b in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#36 0x00007f0fdfb99894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#37 0x00007f0fdfb9f0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#38 0x00007f0fe1785086 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.1.0

No symbol table info available.

#39 0x00007f0fe0816e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#40 0x00007f0fdfb9a862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#41 0x00007f0fdfc1a2c1 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#42 0x00007f0fdfc18bae in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#43 0x00007f0fdfc420d2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#44 0x00007f0fdc6d3d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#45 0x00007f0fdc6d4060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#46 0x00007f0fdc6d4124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#47 0x00007f0fe08463bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#48 0x00007f0fdfc41d5e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#49 0x00007f0fe0815c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#50 0x00007f0fe0815ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#51 0x00007f0fe081af67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#52 0x00000000004ebcd6 in main ()

No symbol table info available.
gdb returned 0

Aborted (core dumped)

--------------

Associated revisions

Revision ffc1abaf - 2013-12-18 10:00 AM - Matthias Kuhn

[relations] No crash when clicking remove with no selection

Fix #9224

History

#1 - 2013-12-17 11:52 PM - Denis Rouzaud

- Assignee set to Matthias Kuhn

#2 - 2013-12-18 01:02 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"ffc1abaf2d8002b93b77886c8a2c4356b1798597".

#3 - 2013-12-18 06:46 AM - Giovanni Manghi

Matthias Kuhn wrote:

Fixed in changeset commit:"ffc1abaf2d8002b93b77886c8a2c4356b1798597".

thanks for the fix Matthias. Do you confirm that relations are working (or not) in master?

#4 - 2013-12-18 06:58 AM - Matthias Kuhn

Yes, this was broken for autogenerated forms, but fixed in the next commit commit:6dff9e4fa559ee3ac343782a1857e260cb8b314a

2024-03-13 4/4


